<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" lang="hu" name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" href="#">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=IBM+Plex+Mono&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
    
    <style>
        html {
            font-size: 13px;
        }
        body {
            font-family: 'IBM Plex Mono', monospace;
            margin-top: 60px; /* Adjust the margin to create space for the fixed tabs */
            background-color: blue;
            color: rgb(255, 0, 187);
        }
        .tab {
            height: 60px;
            color: white;
            background-color: blue;
        }
        .tab button {
            background-color: darkblue;
            margin: 20px;
            height: 20px;
            float: left;
            border: none;
            outline: none;
            cursor: pointer;
            transition: 0.3s;
            font-size: 13px;
            color: white;
            font-family: monospace;
        }
        
        
        .tabcontent {
            display: none;
            padding: 6px 12px;
            border: 1px solid blue;
            border-top: none;
        }
        .tab {
            position: fixed;
            top: 0;
            width: 100%;
            z-index: 9999;
            display: flex;
            justify-content: space-between;
            
        }
        .video-container {
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100%;
        }
        p {
            font-size: 13px;
        }
        .tab .right-align {
            margin-left: auto;
            
        }
        .tab .right-align:hover {
            background-color:  blue;
            cursor: auto;
            
        }
        canvas {
            z-index: 10000;
            background-color: rgba(0, 0, 0, 0) !important;
        }
    </style>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
</head>
<body>
    <div class="tab">
        <button class="tablinks" onclick="openMunka(event, 'kiallitas')" id="defaultOpen"><b>kiállítás</b></button>
        <button class="tablinks" onclick="openMunka(event, 'video')"><b>videó</b></button>
        <button class="tablinks" onclick="openMunka(event, 'vhs')"><b>vhs</b></button>
        <button class="tablinks" onclick="openMunka(event, 'pasztell')"><b>pasztell</b></button>
        <button class="tablinks right-align">im 23-4 / 2 // rybaltovszki anna</button>
    </div>
    
    <div id="kiallitas" class="tabcontent">
        <div class="container">
            <p style="text-align: center; font-size: 13px;"><b>fkse 2024. 04. 30.</b></p>
            <div class="row">
                <div class="col s12 m12 l12">
                    <div class="card z-depth-0">
                        <div class="card-image">
                            <img class="materialboxed" src="images/kiallitas1.jpg">
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                
                <div class="col s12 m12 l12">
                    <div class="card z-depth-0">
                        <div class="card-image">
                            <img class="materialboxed" src="images/kiallitas2.jpg">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <div id="video" class="tabcontent">
        <div class="container">
            
            <p style="text-align: center; font-size: 13px;"><b>műtárgykészítés</b></p>
            <p style="text-align: center; font-size: 13px;"><b>ahhoz, hogy minden ugyanolyan maradhasson, mindennek meg kell változnia</b></p>
            <div class="video-container">
                <iframe width="840" height="630"
                src="https://www.youtube.com/embed/HnGmkUT9Zk4?si=fXqtk5wp883MeL4W" allowfullscreen>
            </iframe>
        </div>
        <div class="video-container">
            <iframe width="840" height="630"
            src="https://www.youtube.com/embed/9oN3zTNGFoI?si=UAHbTw8UVvssm51M" allowfullscreen>
        </iframe>
    </div>
    <p style="text-align: center; font-size: 13px;"><b>svenkes videó</b></p>
    <div class="video-container">
        <iframe width="840" height="630"
        src="https://www.youtube.com/embed/_kMg0c9YCPg?si=qSNcfEGlARo8E5C4" allowfullscreen>
    </iframe>
</div>
<p style="text-align: center; font-size: 13px;"><b>im vlog 2</b></p>
<div class="video-container">
    <iframe width="840" height="630"
    src="https://www.youtube.com/embed/VM-gtybYJoY?si=2sM5WWpW1rkI-Hob" allowfullscreen>
</iframe>
</div>

</div>
</div>

<div id="vhs" class="tabcontent">
    
    <div class="container">
        <p style="text-align: center; font-size: 13px; font-family: monospace;"><a href="https://anna.rybaltovszki.gitlab.io/vhs_kazik">fehér borítós vhs kazetták</a></p>
    </div>
</div>

<div id="pasztell" class="tabcontent">
    <div class="container">
        <p style="text-align: center; font-size: 13px;"><b>pasztellek</b></p>
        <div class="row">
            <div class="col s12 m12 l12">
                <div class="card z-depth-0">
                    <div class="card-image">
                        <img class="materialboxed" src="images/pasztell1.jpg">
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            
            <div class="col s12 m12 l12">
                <div class="card z-depth-0">
                    <div class="card-image">
                        <img class="materialboxed" src="images/pasztell2.jpg">
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    function openMunka(evt, munkaName) {
        var i, tabcontent, tablinks;
        tabcontent = document.getElementsByClassName("tabcontent");
        for (i = 0; i < tabcontent.length; i++) {
            tabcontent[i].style.display = "none";
        }
        tablinks = document.getElementsByClassName("tablinks");
        for (i = 0; i < tablinks.length; i++) {
            tablinks[i].className = tablinks[i].className.replace(" active", "");
        }
        document.getElementById(munkaName).style.display = "block";
        evt.currentTarget.className += " active";
    }
    
    // Get the element with id="defaultOpen" and click on it
    document.getElementById("defaultOpen").click();
    
    /******************************
    *  Tinkerbell Magic Sparkle   *
    * (c)2005-13 mf2fm web-design *
    *  http://www.mf2fm.com/rv    *
    ******************************/
    var colour = "random", // or "#000000"
    sparkles = 50,
    x = 400,
    ox = 400,
    y = 300,
    oy = 300,
    swide = 800,
    shigh = 600,
    sleft = 0,
    sdown = 0,
    tiny = [],
    star = [],
    starv = [],
    starx = [],
    stary = [],
    tinyx = [],
    tinyy = [],
    tinyv = [];
    
    function sparkle() {
        var c;
        if (Math.abs(x - ox) > 1 || Math.abs(y - oy) > 1) {
            ox = x;
            oy = y;
            for (c = 0; c < sparkles; c++) if (!starv[c]) {
                star[c].style.left = (starx[c] = x) + "px";
                star[c].style.top = (stary[c] = y + 1) + "px";
                star[c].style.clip = "rect(0px, 5px, 5px, 0px)";
                star[c].childNodes[0].style.backgroundColor = star[c].childNodes[1].style.backgroundColor = (colour == "random") ? newColour() : colour;
                star[c].style.visibility = "visible";
                starv[c] = 50;
                break;
            }
        }
        for (c = 0; c < sparkles; c++) {
            if (starv[c]) update_star(c);
            if (tinyv[c]) update_tiny(c);
        }
        setTimeout(sparkle, 40);
    }
    
    function update_star(i) {
        if (--starv[i] == 25) star[i].style.clip = "rect(1px, 4px, 4px, 1px)";
        if (starv[i]) {
            stary[i] += 1 + Math.random() * 3;
            starx[i] += (i % 5 - 2) / 5;
            if (stary[i] < shigh + sdown) {
                star[i].style.top = stary[i] + "px";
                star[i].style.left = starx[i] + "px";
            } else {
                star[i].style.visibility = "hidden";
                starv[i] = 0;
                return;
            }
        } else {
            tinyv[i] = 50;
            tiny[i].style.top = (tinyy[i] = stary[i]) + "px";
            tiny[i].style.left = (tinyx[i] = starx[i]) + "px";
            tiny[i].style.width = "2px";
            tiny[i].style.height = "2px";
            tiny[i].style.backgroundColor = star[i].childNodes[0].style.backgroundColor;
            star[i].style.visibility = "hidden";
            tiny[i].style.visibility = "visible";
        }
    }
    
    function update_tiny(i) {
        if (--tinyv[i] == 25) {
            tiny[i].style.width = "1px";
            tiny[i].style.height = "1px";
        }
        if (tinyv[i]) {
            tinyy[i] += 1 + Math.random() * 3;
            tinyx[i] += (i % 5 - 2) / 5;
            if (tinyy[i] < shigh + sdown) {
                tiny[i].style.top = tinyy[i] + "px";
                tiny[i].style.left = tinyx[i] + "px";
            } else {
                tiny[i].style.visibility = "hidden";
                tinyv[i] = 0;
                return;
            }
        } else tiny[i].style.visibility = "hidden";
    }
    
    function mouse(e) {
        if (e) {
            y = e.pageY;
            x = e.pageX;
        } else {
            set_scroll();
            y = event.y + sdown;
            x = event.x + sleft;
        }
    }
    
    function set_scroll() {
        if (typeof (self.pageYOffset) == 'number') {
            sdown = self.pageYOffset;
            sleft = self.pageXOffset;
        } else if (document.body && (document.body.scrollTop || document.body.scrollLeft)) {
            sdown = document.body.scrollTop;
            sleft = document.body.scrollLeft;
        } else if (document.documentElement && (document.documentElement.scrollTop || document.documentElement.scrollLeft)) {
            sleft = document.documentElement.scrollLeft;
            sdown = document.documentElement.scrollTop;
        } else {
            sdown = 0;
            sleft = 0;
        }
    }
    
    function set_width() {
        var sw_min = 999999;
        var sh_min = 999999;
        if (document.documentElement && document.documentElement.clientWidth) {
            if (document.documentElement.clientWidth > 0) sw_min = document.documentElement.clientWidth;
            if (document.documentElement.clientHeight > 0) sh_min = document.documentElement.clientHeight;
        }
        if (typeof (self.innerWidth) == 'number' && self.innerWidth) {
            if (self.innerWidth > 0 && self.innerWidth < sw_min) sw_min = self.innerWidth;
            if (self.innerHeight > 0 && self.innerHeight < sh_min) sh_min = self.innerHeight;
        }
        if (document.body.clientWidth) {
            if (document.body.clientWidth > 0 && document.body.clientWidth < sw_min) sw_min = document.body.clientWidth;
            if (document.body.clientHeight > 0 && document.body.clientHeight < sh_min) sh_min = document.body.clientHeight;
        }
        if (sw_min == 999999 || sh_min == 999999) {
            sw_min = 800;
            sh_min = 600;
        }
        swide = sw_min;
        shigh = sh_min;
    }
    
    function createDiv(height, width) {
        var div = document.createElement("div");
        div.style.position = "absolute";
        div.style.height = height + "px";
        div.style.width = width + "px";
        div.style.overflow = "hidden";
        return div;
    }
    
    function newColour() {
        var c = [];
        c[0] = 255;
        c[1] = Math.floor(Math.random() * 256);
        c[2] = Math.floor(Math.random() * (256 - c[1] / 2));
        c.sort(function () {
            return (0.5 - Math.random());
        });
        return ("rgb(" + c[0] + ", " + c[1] + ", " + c[2] + ")");
    }
    
    $(document).mousemove(mouse);
    $(window).resize(set_width);
    $(window).scroll(set_scroll);
    $(document).ready(function () {
        if (document.getElementById) {
            var i, rats, rlef, rdow;
            for (i = 0; i < sparkles; i++) {
                rats = createDiv(3, 3);
                rats.style.visibility = "hidden";
                rats.style.zIndex = "999";
                $("body").append(tiny[i] = rats);
                starv[i] = 0;
                tinyv[i] = 0;
                rats = createDiv(5, 5);
                rats.style.backgroundColor = "transparent";
                rats.style.visibility = "hidden";
                rats.style.zIndex = "999";
                rlef = createDiv(1, 5);
                rdow = createDiv(5, 1);
                $(rats).append(rlef);
                $(rats).append(rdow);
                rlef.style.top = "2px";
                rlef.style.left = "0px";
                rdow.style.top = "0px";
                rdow.style.left = "2px";
                $("body").append(star[i] = rats);
            }
            set_width();
            sparkle();
        }
    });
    
</script>
<script>
    M.AutoInit();
</script>
</body>
</html> 
